Subject: "Perl 5 by Example" is available online.
From: [email-masked] (David Medinets)
Date: 1 Oct 1996 01:11:49 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

Que Publishing's forthcoming "Perl 5 by Example" (due in the stores in
a couple of weeks) is available online at:

http://www.planet.net/pmedined

This book is not related to the existing "Perl by Example" book. The
new book has all-new content and is solely concerned with Perl 5.

Although the book is oriented towards initially learning Perl, even
advanced programmers might learn something from Part III, "Advanced
Perl" and Part IV, "Perl and the Internet."

Below is a table of contents. I have to admit that the chapter on
regular expressions is my personal favorite. Towards the end of the
chapter is a list of scenarios and how you'd solve them with regular
expressions.

Please let me know if you have any comments on the book. I'm committed
to enhancing the online version. In fact, an errata page is already
posted thanks to some comments by Randal Schwartz.

Introduction
Detailed Table of Contents
Part I - Basic Perl (123 pages)
	1 - Getting Your Feet Wet
	2 - Numeric and String Literals
	3 - Variables
	4 - Operators
	5 - Functions
	6 - Statements
	7 - Control Statements
	8 - References
Part II - Intermediate Perl
	9 - Using Files
	10 - Regular Expressions
	11 - Creating Reports
Part III - Advanced Perl
	12 - Using Special Variables
	13 - Handling Errors and Signals
	14 - What are Objects?
	15 - Perl Modules
	16 - Debugging Perl
	17 - Using the Command Line Options
Part IV - Perl and the Internet
	18 - Using Internet Protocols
	19- What is CGI?
	20- Form Processing
	21 - Using Perl with Web Servers
	22 - Internet Resources
Appendixes
	A - Answers to Review Questions
	B - Glossary
	C - Function List
	D - Using the Registry in Windows 95/NT
	E - What’s on the CD?

David Medinets ([email-masked])
Eclectic Consulting
http://www.planet.net/pmedined
http://www.mtolive.com - Mount Olive OnLine (my pet project)